Create Service Request: Propertyware
https://api.propexo.com/v1/service-requests/propertyware/| Method |
|---|
| createWorkOrder |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the vendor
The Propexo unique identifier for the lease
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
The category of service request
The date the service request was completed
The date the service request was created
Details about the service request
The due date associated with the service request
The date the service request is scheduled
The status associated with the work order
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the vendor
The Propexo unique identifier for the lease
Whether or not the tenant has granted permission to enter the unit associated with the service request
A description of the service request
The category of service request
The date the service request was completed
The date the service request was created
Details about the service request
The due date associated with the service request
The date the service request is scheduled
The status associated with the work order
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"vendor_id": "string",
"lease_id": "string",
"access_is_authorized": true,
"service_description": "string",
"service_category": "string",
"date_completed": "2024-07-29T15:51:28.071Z",
"date_created": "2024-07-29T15:51:28.071Z",
"service_details": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"status_raw": "string"
}
}